$(document).ready(function() {

	// Variables
	var transitionspeed = %id=switcher_transitionspeed%;
	var startingAcccordion = %id=starting_accordion%;
	var startingAcccordionActual = (startingAcccordion-1);
	var startingTab = %id=starting_tab%;
	var startingTabActual = (startingTab-1);

	// Loop through our Switcher and give each accordion toggle a unique href value
	$('#accordionInterface%id% .accordion-toggle').attr('href', function(i) {
		return '#%id=switcher_name%'+(i+1);
	});
	
	// Loop through our Switcher and give each accordion toggle a unique class value
	$('#accordionInterface%id% .accordion-toggle').attr('data-trigger', function(i) {
		return '#%id=switcher_name%'+(i+1);
	});
	
	// Loop through our Switcher and give each accordion content pane a unique ID
	$('#accordionInterface%id% .accordion-content').attr('id', function(i) {
		return '%id=switcher_name%'+(i+1);
	});
	
	// Loop through our Switcher and give each tab toggle a unique href value
	$('#tabbedInterface%id% .accordion-toggle').attr('href', function(i) {
		return '#tab-%id=switcher_name%'+(i+1);
	});
	
	// Loop through our Switcher and give each content pane a unique ID
	$('#tabbedInterface%id% .accordion-content').attr('id', function(i) {
		return 'tab-%id=switcher_name%'+(i+1);
	});
	
	// Append opened and closed icons to the accordion heading toggles	
	$( "#accordionInterface%id% > li > .accordion-toggle" ).each(function() {
		$(this).append('<span class="closedIcon">%id=accordion_closedicon%</span><span class="openedIcon">%id=accordion_openedicon%</span>');
	});
	
	// Construct tabed interface, cloned from accordion interface
	$("#accordionInterface%id% .accordion-toggle").clone().appendTo("ul#switcherTabs%id%");
	$("#accordionInterface%id% .accordion-content").clone().prependTo("#tabPanes%id%");
	$("ul#switcherTabs%id% .accordion-toggle").wrap("<li class='switcherTab' />");
	
	// Intiate accordion
	$('#accordionInterface%id%').accordion({
		animate: %id=switcher_transitionspeed%,
		active: startingAcccordionActual,
		heightStyle: "content",
		collapsible: true,
		%[if %("%id=accordionmouseover%" == "true")% ]%
		event: "mouseover",
		%[endif]%
		// Stop audio and video
		beforeActivate: function( event, ui ) {
			$("#switcher%id% video").each(function () { this.pause() });
			$("#switcher%id% audio").each(function () { this.pause() });
			$("#switcher%id% iframe").each(function() { 
			        var src= $(this).attr('src');
			        $(this).attr('src',src);  
			});
		},
		activate: function( event, ui ) {
			%id=callback%
		}
	});
	
	// Initiate tabs
	$('#tabbedInterface%id%').tabs({
		animate: %id=switcher_transitionspeed%,
		%[if %("%id=starting_tab%" != "0")%]%
		// If starting tab is NOT equal to zero, start at the defined tab
		active: startingTabActual,
		%[endif]%
		%[if %("%id=starting_tab%" == "0")%]%
		// If starting tab IS equal to zero, there is no active tab
		active: false,
		%[endif]%
		collapsible: %id=tabs_collapse%,
		heightStyle: "content",
		%[if %("%id=tabs_crossfade%" == "true")% ]%
		hide: 'fade',
		show: 'fade',
		%[endif]%
		%[if %("%id=tabsmouseover%" == "true")% ]%
		event: "mouseover",
		%[endif]%
		beforeActivate: function( event, ui ) {
			$("#switcher%id% video").each(function () { this.pause() });
			$("#switcher%id% audio").each(function () { this.pause() });
			$("#switcher%id% iframe").each(function() { 
			        var src= $(this).attr('src');
			        $(this).attr('src',src);  
			});
		},
		activate: function( event, ui ) {
			%id=callback%
		}
	});
	
	// Trigger tabs and accordions with a custom button
	var jQueryTabs = $('#tabbedInterface%id%');
	$('[data-%id=switcher_name%]').click(function(){
		var tabId = $(this).data('%id=switcher_name%')-1;
		jQueryTabs.tabs('option', 'active', tabId);
	});
	
	var jQueryAccordion = $('#accordionInterface%id%');
	$('[data-%id=switcher_name%]').click(function(){
		var tabId = $(this).data('%id=switcher_name%')-1;
		jQueryAccordion.accordion('option', 'active', tabId);
	});
	
	%[if %("%id=placement%" == "customdiv")% ]%
	// Clone accordion toggles to another container
	$("#switcher%id%").appendTo('%id=clonedto_element%');
	%[endif]%
	
	// Fade the Switcher into view when the page is ready
	$("#switcher%id%").delay(transitionspeed).slideDown(transitionspeed);
	
});

/*
============================================================
POLITE REMINDER:
It's unlawful to deliberately try to unlock demo versions of stacks or divulge details to anyone else about unlocking demo's. Please purchase this stack if you want a copy of the stack licensed in your name; with no demo restrictions imposed and access to our free support and automatic updates.
============================================================
*/

$(document).ready(function() {
	$('#%id%').append("<h5>Free Demo Stack</h5>This demo is provided for your convenience, to help you conduct a full evaluation of the stack, before committing to a possible purchase. While in demo mode, this stack will be hidden after 1 minute and will not display again until the page is reloaded. Automatic updates have been disabled. You can purchase an unlocked copy of this stack securely from the website. This purchased copy will be licensed in your name and carry no demo restrictions. Content and settings you setup now will be retained upon obtaining a full version of the stack.");
	$("#%id%").delay(60000).fadeOut(0);
	});